## org.apache.cassandra.io
Class SSTableScanner

    java.lang.Object
      org.apache.cassandra.io.SSTableScanner

All Implemented Interfaces:
  java.io.Closeable, java.util.Iterator<IteratingRow>

    public class SSTableScanner

extends java.lang.Object
implements java.util.Iterator<IteratingRow>, java.io.Closeable

Method Summary
`void` `close()`
`long` `getFileLength()`
`long` `getFilePointer()`
`boolean` `hasNext()`
`IteratingRow` `next()`
`void` `remove()`
`void` `seekTo(DecoratedKey seekKey)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Throws:
    `java.io.IOException`

### seekTo

    public void seekTo(DecoratedKey seekKey)

### getFileLength

    public long getFileLength()

### getFilePointer

    public long getFilePointer()

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<IteratingRow>`

### next

    public IteratingRow next()

  Specified by:
    `next` in interface `java.util.Iterator<IteratingRow>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<IteratingRow>`

Copyright © 2010 The Apache Software Foundation